TagHandlerPool (Jasper Internal API Documentation)
Keywords: org.apache.jasper.runtime.TagHandlerPool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class TagHandlerPool

    java.lang.Object
      org.apache.jasper.runtime.TagHandlerPool

public class TagHandlerPool
extends java.lang.Object

Pool of tag handlers that can be reused.

Author:
  Jan Luehe

Constructor Summary
`TagHandlerPool()` Constructs a tag handler pool with the default capacity.
`TagHandlerPool(int capacity)` Constructs a tag handler pool with the given capacity.

Method Summary
`javax.servlet.jsp.tagext.Tag` | `get(java.lang.Class handlerClass)` Gets the next available tag handler from this tag handler pool, instantiating one if this tag handler pool is empty.
`void` | `release()` Calls the release() method of all available tag handlers in this tag handler pool.
`void` | `reuse(javax.servlet.jsp.tagext.Tag handler)` Adds the given tag handler to this tag handler pool, unless this tag handler pool has already reached its capacity, in which case the tag handler's release() method is called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagHandlerPool

    public TagHandlerPool()

  Constructs a tag handler pool with the default capacity.

### TagHandlerPool

    public TagHandlerPool(int capacity)

  Constructs a tag handler pool with the given capacity.

Parameters:
  `capacity` - Tag handler pool capacity

Method Detail

### get

    public javax.servlet.jsp.tagext.Tag get(java.lang.Class handlerClass)
                                     throws javax.servlet.jsp.JspException

  Gets the next available tag handler from this tag handler pool, instantiating one if this tag handler pool is empty.

  Parameters:
    `handlerClass` - Tag handler class
  Returns:
    Reused or newly instantiated tag handler
  Throws:
    `javax.servlet.jsp.JspException` - if a tag handler cannot be instantiated

### reuse

    public void reuse(javax.servlet.jsp.tagext.Tag handler)

  Adds the given tag handler to this tag handler pool, unless this tag handler pool has already reached its capacity, in which case the tag handler's release() method is called.

  Parameters:
    `handler` - Tag handler to add to this tag handler pool

### release

    public void release()

  Calls the release() method of all available tag handlers in this tag handler pool.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.